@echo off

set SCRIPTS=..\scripts
set SOFTWARE=..\software

echo ####### %0 #######

cd %SOFTWARE%
for %%A in (

  vcredist2010-setup
  vcredist2012-setup
  vcredist2013-setup
  vcredist-setup
  
  vcredist2010x86-setup
  vcredist2012x86-setup
  vcredist2013x86-setup
  vcredistx86-setup

) do (
  
  if NOT EXIST %%A.exe (
    echo WARNING: %%A.exe not found!
  ) else (

    @echo on
    echo installing %%A.exe ...
    %%A.exe /install /passive /norestart
    @echo off

  )

)

rem go back ...
cd %SCRIPTS%

echo ####### %0 #######

